/*
   QT Vernam, a program to implement Vernam algorythm for very strong file
   and message encryption.
   Copyright (C) 2014  Vokhmin Ivan <i_vohmin@mail.ru>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>
*/
#ifndef ENCRYPTDIALOG_H
#define ENCRYPTDIALOG_H

#include <QDialog>

namespace Ui {
class cEncryptDialog;
}

class cEncryptDialog : public QDialog
{
    Q_OBJECT

public:
    explicit cEncryptDialog(QWidget *parent = 0);
    ~cEncryptDialog();

private slots:
    void on_messageModeRadioButton_toggled(bool checked);
    void on_fileModeRadioButton_toggled(bool checked);

    void on_buttonBox_accepted();

    void on_keyFileSelectPushButton_clicked();

    void on_OutputFileSelectPushButton_clicked();

    void on_fileSelectPushButton_clicked();

private:
    Ui::cEncryptDialog *ui;
};

#endif // ENCRYPTDIALOG_H
