/*
   QT Vernam, a program to implement Vernam algorythm for very strong file
   and message encryption.
   Copyright (C) 2014  Vokhmin Ivan <i_vohmin@mail.ru>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>
*/
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "keyexplorer.h"

namespace Ui {
class cMainWindow;
}

class cMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit cMainWindow(QWidget *parent = 0);
    ~cMainWindow();

public slots:
    void encrypt();
    void decrypt();
    void genKeys();

private slots:
    void on_actionAbout_triggered();

private:
    Ui::cMainWindow *ui;
    cKeyExplorer * explorer_;
};

#endif // MAINWINDOW_H
