/*
   QT Vernam, a program to implement Vernam algorythm for very strong file
   and message encryption.
   Copyright (C) 2014  Vokhmin Ivan <i_vohmin@mail.ru>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>
*/
#ifndef NEWKEYGENERATIONDIALOG_H
#define NEWKEYGENERATIONDIALOG_H

#include <QDialog>
#include "randomizer.h"

namespace Ui {
class cNewKeyGenerationDialog;
}

class cNewKeyGenerationDialog : public QDialog
{
    Q_OBJECT

public:
    explicit cNewKeyGenerationDialog(QWidget *parent = 0);
    ~cNewKeyGenerationDialog();

private slots:
    void on_selectDirPathPushButton_clicked();

    void on_buttonBox_accepted();

    void on_sizeTypeComboBox_currentIndexChanged(int index);

    void on_fileDirPathLineEdit_textChanged(const QString &arg1);

signals:
    void sendInnerData(int keyLength, QString keyDir, int genType);

private:
    Ui::cNewKeyGenerationDialog *ui;
};

#endif // NEWKEYGENERATIONDIALOG_H
